Subject: Re: [PATCH] powerpc/85xx: allow CONFIG_PHYS_64BIT to be selectable

From: Tabi Timur-B04825 <[email-masked]>
Date: Fri, 24 Feb 2012 03:36:36 +0000

Huang Changming-R66093 wrote:
> I want to know if you have the other codes for different address?
>
> The current U-boot just detect the base address of DTS and the CCSR address.
> If they are different, u-boot will print the warning and return 0,
> so the kernel can't been booted.

I had a patch that verified some PCI addresses (which are sometimes 
slightly mismatched), but Kumar rejected it.

I could add some more checks, but the 90% of the time, the only problem is 
using the wrong size (32-bit vs 36-bit) DT.

-- 
Timur Tabi
Linux kernel developer at Freescale